Skip to content
Newer
Older
100644 23 lines (20 sloc) 473 Bytes
37e486b @ktheory [travis] fix apt package installs
ktheory authored
1 before_install:
2 - sudo apt-get update > /dev/null
3 - sudo apt-get -y install lighttpd libfcgi-dev libmemcache-dev memcached
e5ca5c3 @raggi Further improvements for CI, no more bundle!
raggi authored
4 install:
5 - gem env version | grep '^\(2\|1.\(8\|9\|[0-9][0-9]\)\)' || gem update --system
5ed17cc @tgxworld Use default bundle install command.
tgxworld authored
6 - bundle install --jobs=3 --retry=3
7abd834 @raggi Update travis.yml since we added bundler and stuff
raggi authored
7 script: bundle exec rake ci
0089659 @raggi Adding travis-ci yaml setup... going to need to fix up the environment
raggi authored
8 rvm:
3659be8 @gfvcastro Test against Ruby 2.2.4 on Travis.
gfvcastro authored
9 - 2.2.4
fa9969e @deepj Test against Ruby 2.3.0 and JRuby 9.0.4.0
deepj authored
10 - 2.3.0
c79a3a0 @spastorino Make Travis test also with ruby-head
spastorino authored
11 - ruby-head
d2e4293 @spastorino Fix rbx settings for Travis
spastorino authored
12 - rbx-2
fa9969e @deepj Test against Ruby 2.3.0 and JRuby 9.0.4.0
deepj authored
13 - jruby-9.0.4.0
7abd834 @raggi Update travis.yml since we added bundler and stuff
raggi authored
14 - jruby-head
5e4f0aa @tenderlove updating test matrix for supported ruby
tenderlove authored
15
0089659 @raggi Adding travis-ci yaml setup... going to need to fix up the environment
raggi authored
16 notifications:
17 email: false
f09e93b @raggi Update travis to only build master for now
raggi authored
18 irc: "irc.freenode.org#rack"
5e4f0aa @tenderlove updating test matrix for supported ruby
tenderlove authored
19
20 matrix:
21 allow_failures:
754e787 @spastorino Allow rbx-2 failures on Travis until they completely support 2.2+
spastorino authored
22 - rvm: rbx-2
Something went wrong with that request. Please try again.